Bug 148022 - net/netatalk 2.1.1 does not listen on ipv4
net/netatalk 2.1.1 does not listen on ipv4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 00:30 UTC by meta
Modified: 2010-08-15 23:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description meta 2010-06-21 00:30:02 UTC
I performed portupgrade in order to upgrade netatalk 2.1.0 to 2.1.1.
The new version of netatalk never listen on tcp4 but only tcp6.

This is my netstat output.
$ netstat -a -f inet | grep afp
tcp6       0      0 *.afpovertcp           *.*                    LISTEN

How-To-Repeat: Install net/netatalk.

Add following two lines into rc.conf:
netatalk_enable="YES"
afpd_enable="YES"

Do /usr/local/etc/rc.d/netatalk start.

See netstat.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-21 00:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 areilly 2010-08-14 13:57:49 UTC
Having any luck with this?  I'm new to netatalk, and have installed =
2.1.3 from ports, and find that it is only listening on tcp6, which is =
unhelpful, since my ethernet card is not configured with an IP6 address. =
 I can't see anything in the config manuals about constraining this, =
either.

My system is a=20
FreeBSD johnny.reilly.home 8.1-PRERELEASE FreeBSD 8.1-PRERELEASE #0: Sat =
Jul 24 13:13:05 EST 2010     =
root@johnny.reilly.home:/usr/obj/usr/src/sys/GENERIC  amd64

and netstat says (in part):
tcp6       0      0 *.afpovertcp           *.*                    LISTEN
tcp4       0      0 localhost.4700         *.*                    LISTEN

I believe that the second one is the cnid_meta daemon, but the first one =
is afpd (from fstat:)
root     afpd       57422    4* internet6 stream tcp ffffff0008c2ca50

To further confuse matters (or clarify?) the asip-status.pl script, when =
pointed at either localhost or the hostname of the machine (johnny) =
says:
connect to localhost failure: Invalid argument at =
/usr/local/bin/asip-status.pl line 71.

A couple of observations I've made while looking into this:

1) this might be peculiar to FreeBSD: there don't seem to be many =
references to this problem other than this PR, if google is to be =
believed.

2) The second last item in the netatalk wiki FAQ ("Why can't I mount =
more than one server?") suggests that netatalk figures out who it is by =
looking at /etc/hosts, and that some problems can be resolved by =
ensuring that the hosts's hostname entry and external IP address occur =
earlier in the list than the localhost entries.  In recent FreeBSD, the =
default /etc/hosts database starts with the IPv6 localhost entry ::1, so =
I thought that this might be guiding the binding.  Seems not: even after =
commenting out the ::1 entry in /etc/hosts altogether, afpd still only =
binds to proto tcp6.

Cheers,

--=20
Andrew
Comment 3 Joe Marcus Clarke freebsd_committer 2010-08-15 22:52:35 UTC
State Changed
From-To: open->closed

Fixed, thanks for reporting.
Comment 4 dfilter freebsd_committer 2010-08-15 22:52:52 UTC
marcus      2010-08-15 21:52:32 UTC

  FreeBSD ports repository

  Modified files:
    net/netatalk         Makefile 
  Added files:
    net/netatalk/files   patch-libatalk_dsi_dsi_tcp.c 
  Log:
  Add support for wildcard IPv4/6 sockets.
  
  PR:             148022
  
  Revision  Changes    Path
  1.90      +1 -1      ports/net/netatalk/Makefile
  1.1       +39 -0     ports/net/netatalk/files/patch-libatalk_dsi_dsi_tcp.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"